commit:     d6ea4fae5c516080856c753a09b01e30a7664810
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 18 04:40:21 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sun Jul 18 05:14:52 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6ea4fae

games-rpg/wasteland2: tidy, fix eclass usage, add missing abi_x86_32

Do not own this game (albeit been meaning to), so only sticking
to (hopefully) safe changes.

Was calling gnome2_icon_* despite EAPI-7, adjust so this isn't needed.

Revbump for missing abi_x86_32 on virtual/opengl.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 ....13-r1.ebuild => wasteland2-1.9.0.13-r2.ebuild} | 55 +++++++++-------------
 1 file changed, 21 insertions(+), 34 deletions(-)

diff --git a/games-rpg/wasteland2/wasteland2-1.9.0.13-r1.ebuild 
b/games-rpg/wasteland2/wasteland2-1.9.0.13-r2.ebuild
similarity index 51%
rename from games-rpg/wasteland2/wasteland2-1.9.0.13-r1.ebuild
rename to games-rpg/wasteland2/wasteland2-1.9.0.13-r2.ebuild
index 2dffd54fb06..42082b1444c 100644
--- a/games-rpg/wasteland2/wasteland2-1.9.0.13-r1.ebuild
+++ b/games-rpg/wasteland2/wasteland2-1.9.0.13-r2.ebuild
@@ -5,7 +5,7 @@ EAPI=7
 
 CHECKREQS_DISK_BUILD="22000M"
 CHECKREQS_DISK_USR="21600M"
-inherit check-reqs desktop gnome2-utils wrapper
+inherit check-reqs desktop wrapper
 
 DESCRIPTION="Sequel to 1988 Wasteland, post-apocalyptic computer RPG 
inspiration for Fallout"
 HOMEPAGE="https://wasteland.inxile-entertainment.com/";
@@ -15,29 +15,27 @@ S="${WORKDIR}/Wasteland 2"
 LICENSE="all-rights-reserved"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-RESTRICT="bindist fetch mirror"
+RESTRICT="bindist fetch"
 
 QA_PREBUILT="opt/${PN}/*"
 
 RDEPEND="
-       >=dev-libs/atk-2.12.0-r1[abi_x86_32(-)]
-       >=dev-libs/glib-2.40.0-r1:2[abi_x86_32(-)]
-       >=media-libs/fontconfig-2.10.92:1.0[abi_x86_32(-)]
-       >=media-libs/freetype-2.5.3-r1:2[abi_x86_32(-)]
-       >=x11-libs/cairo-1.12.16-r2[abi_x86_32(-)]
-       >=x11-libs/gdk-pixbuf-2.30.8:2[abi_x86_32(-)]
-       >=x11-libs/gtk+-2.24.24:2[abi_x86_32(-)]
-       >=x11-libs/pango-1.36.5[abi_x86_32(-)]
-       >=x11-libs/libX11-1.6.2[abi_x86_32(-)]
-       >=x11-libs/libXcursor-1.1.14[abi_x86_32(-)]
-       >=x11-libs/libXext-1.3.2[abi_x86_32(-)]
-       >=x11-libs/libXrandr-1.4.2[abi_x86_32(-)]
-       >=virtual/glu-9.0-r1[abi_x86_32(-)]
-       virtual/opengl
-"
+       dev-libs/atk[abi_x86_32(-)]
+       dev-libs/glib:2[abi_x86_32(-)]
+       media-libs/fontconfig:1.0[abi_x86_32(-)]
+       media-libs/freetype:2[abi_x86_32(-)]
+       virtual/glu[abi_x86_32(-)]
+       virtual/opengl[abi_x86_32(-)]
+       x11-libs/cairo[abi_x86_32(-)]
+       x11-libs/gdk-pixbuf[abi_x86_32(-)]
+       x11-libs/gtk+:2[abi_x86_32(-)]
+       x11-libs/libX11[abi_x86_32(-)]
+       x11-libs/libXcursor[abi_x86_32(-)]
+       x11-libs/libXext[abi_x86_32(-)]
+       x11-libs/libXrandr[abi_x86_32(-)]
+       x11-libs/pango[abi_x86_32(-)]"
 
 pkg_nofetch() {
-       einfo
        einfo "Please buy Wasteland 2"
        einfo "from https://www.gog.com/ and"
        einfo "download ${SRC_URI}"
@@ -46,7 +44,6 @@ pkg_nofetch() {
        einfo "This ebuild was tested with the CLASSICAL edition."
        einfo "If it works with the deluxe edition too, please"
        einfo "open a bug report. If not, open a bug report too."
-       einfo
 }
 
 src_install() {
@@ -54,25 +51,15 @@ src_install() {
 
        # over 20GB of data
        dodir ${dir}
-       mv game/WL2_Data "${ED}/${dir}"/ || die
+       mv game/WL2_Data "${ED}"/${dir}/ || die
+
        exeinto ${dir}
        doexe game/WL2
 
-       make_wrapper ${PN} ./WL2 "${dir}"
-       newicon -s 256 support/gog-wasteland-2.png ${PN}.png
+       make_wrapper ${PN} ./WL2 ${dir}
+
+       newicon support/gog-wasteland-2.png ${PN}.png
        make_desktop_entry ${PN} "Wasteland 2"
 
        dodoc docs/*.pdf
 }
-
-pkg_preinst() {
-       gnome2_icon_savelist
-}
-
-pkg_postinst() {
-       gnome2_icon_cache_update
-}
-
-pkg_postrm() {
-       gnome2_icon_cache_update
-}

Reply via email to